# Permission Signs

This is a plugin based on the permission signs plugin created by _ForgeUser7294733. As the previous plugin does not
offer source code and has a restrictive license, this plugin is written from scratch, but trying to somewhat imitate the
original plugin's behavior. It's not possible to load previous permission signs as they are stored without any
coordinates.

Basically permission signs is a plugin that allows for the sale of permissions using signs as the interface. A sign is
created with a displayed name, a set of permissions, a time limit (can be infinite) and a cost (can be zero). If a
player uses the sign to buy the permission, they will be granted the permission for the defined duration. Vault is used
to set permissions. Permanent permissions are set normally through Vault, but permissions with a duration set as not "0"
are treated as transient permissions to avoid any problems, such as the player having been granted the permission
permanently by another cause, when they expire.

## Commands

* /ps about - Displays information about the plugin
* /ps create <name> <permission,permission> <cost> <duration> - Creates a new permission sign. The name is used to
  describe what the permission sign does. The permission,permission is the list of comma-separated permissions the
  permission sign will grant to the using player. The cost is the cost to use the permission sign. The duration is the
  number of seconds the player should keep the permission for. Use 0 for permanent.
* /ps cancel - Used to manually cancel the creation of a permission sign (it will also time out after 60 seconds)
* /ps reload - Used to reload all data and config settings from disk

## Permissions

* permissionsigns.* - Grants all PermissionSigns permissions
* permissionsigns.use - Allows players to use the permission signs
* permissionsigns.admin - Allows all administrative tasks such as creating permission signs and reloading
* permissionsigns.admin.reload - Allows the usage of the /reload command
* permissionsigns.admin.create - Allows players to create/destroy permissionsigns